Bug 151470 - Autorun causes many zombie kfmclient
Autorun causes many zombie kfmclient
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: autorun (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 06:49 EST by Ivo Sarak
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 08:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps output with zombies. (10.70 KB, text/plain)
2005-03-18 13:16 EST, Ivo Sarak
no flags Details

  None (edit)
Description Ivo Sarak 2005-03-18 06:49:18 EST
Description of problem:
Since I upgraded to the KDE 3.4.0 RC1.7 I see lots of kfmclient processes being
started - 4 hours uptime and over 3000 zomby processes!

Version-Release number of selected component (if applicable):
kdebase-3.4.0-0.rc1.7

How reproducible:
Always.

Steps to Reproduce:
1. Update to the latest KDE in RawHide;
2. Start KDE;
  
Actual results:
It starts producing kfmclient processes.
Majority of these will zomby soon.

Expected results:
No issues with the kfmclient.

Additional info:
How do I stop it doing that?
Comment 1 Ngo Than 2005-03-18 06:57:18 EST
strange, it's not reproduce on my test machine. does this problem still appear
if you start KDE with a new user ?
Comment 2 Ivo Sarak 2005-03-18 07:33:31 EST
With little testing the issue does happen only when there is a CD in one of the
drives - "_NEC DV-5800A, ATAPI CD/DVD-ROM drive".  The box has also a CDRW and
SCSI CDrom, but drives in these will not be an issue. As soon as to eject it the
"zomby" count will stop and to reinsert it will start it again.

Btw: The CD is not even mounted, just is in the drive.
Comment 3 Ivo Sarak 2005-03-18 07:51:48 EST
Even the drive is not important as soon as at least 2 of the 3 drives are
populated with the CDs the "zombing" will start.

hda: Maxtor 6Y120P0, ATA DISK drive
hdc: LITE-ON DVDRW LDW-411S, ATAPI CD/DVD-ROM drive
hdd: _NEC DV-5800A, ATAPI CD/DVD-ROM drive
The SCSI is som model of NEC 40X.

The dmesg has following lines:
"cdrom: This disc doesn't have any tracks I recognize!"
Comment 4 Sammy 2005-03-18 10:29:15 EST
Do you have any applications i.e. kscd that is in the system tray? It may be 
trying to read the CD continuously. Should not happen but may be you can 
avoid it by removing the app. 
Comment 5 Ivo Sarak 2005-03-18 13:16:27 EST
Created attachment 112136 [details]
ps output with zombies.

No, tray is empty, but the kscd is still the one what is making these zombies.

How to stop it?
Comment 6 Sammy 2005-03-18 14:08:21 EST
Check under the Desktop directory
Comment 7 Ivo Sarak 2005-03-18 14:55:25 EST
What is under the Desktop directory?
Do You mean ~/Desktop?
What file?
Comment 8 Ngo Than 2005-03-18 15:16:50 EST
could you please try following:

 first remove the $HOME/.kde/Autostart/Autorun.desktop
 and start KDE afterwards.

does the problem still appear?
Comment 9 Ivo Sarak 2005-03-18 15:27:42 EST
After removing the $HOME/.kde/Autostart/Autorun.desktop the problem does not
appear anymore.
Comment 10 Mary Ellen Foster 2005-04-07 19:21:07 EDT
Do we really need to have Autorun in Autostart at all? Among other things, it
means that with the default settings, every time you log into KDE you get a
thirty-second bouncing CD icon on your cursor as Autorun starts.

Does this really gain anything? :)
Comment 11 Harald Hoyer 2005-04-21 06:10:29 EDT
dunno, anything there with which we can replace autorun?

Could you try, if the latest autorun resolves your issues?
Comment 12 Ivo Sarak 2005-04-24 14:16:36 EDT
I have autorun-3.16-1 at the moment and there is no issues at the moment.

Note You need to log in before you can comment on or make changes to this bug.